diff --git a/src/bin/psql/describe.c b/src/bin/psql/describe.c
new file mode 100644
index 21bbdf8..d1447fe
*** a/src/bin/psql/describe.c
--- b/src/bin/psql/describe.c
*************** describeOneTableDetails(const char *sche
*** 2345,2360 ****
  			printTableAddFooter(&cont, buf.data);
  		}
  
! 		if (verbose && (tableinfo.relkind == 'r' || tableinfo.relkind == 'm') &&
  			strcmp(schemaname, "pg_catalog") != 0)
  		{
  			const char *s = _("Replica Identity");
  
  			printfPQExpBuffer(&buf, "%s: %s",
  							  s,
- 							  tableinfo.relreplident == 'd' ? "DEFAULT" :
  							  tableinfo.relreplident == 'f' ? "FULL" :
- 							  tableinfo.relreplident == 'i' ? "USING INDEX" :
  							  tableinfo.relreplident == 'n' ? "NOTHING" :
  							  "???");
  
--- 2345,2363 ----
  			printTableAddFooter(&cont, buf.data);
  		}
  
! 		if ((tableinfo.relkind == 'r' || tableinfo.relkind == 'm') &&
! 			/*
! 			 * No need to display default values;  we already display a
! 			 * REPLICA IDENTITY marker on indexes.
! 			 */
! 			tableinfo.relreplident != 'd' && tableinfo.relreplident != 'i' &&
  			strcmp(schemaname, "pg_catalog") != 0)
  		{
  			const char *s = _("Replica Identity");
  
  			printfPQExpBuffer(&buf, "%s: %s",
  							  s,
  							  tableinfo.relreplident == 'f' ? "FULL" :
  							  tableinfo.relreplident == 'n' ? "NOTHING" :
  							  "???");
  
